### Signal

# Adw TabBar::extra-drag-drop

#### Declaration

    gboolean
    extra_drag_drop (
      AdwTabBar* self,
      AdwTabPage* page,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when content is dropped onto a tab.

The content must be of one of the types set up via `adw_tab_bar_setup_extra_drop_target()`.

See `GtkDropTarget::drop`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.0

#### Parameters

`page` | `AdwTabPage`
| The page matching the tab the content was dropped onto.
| The data is owned by the caller of the function.
`value` | `GValue`
| The `GValue` being dropped.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether the drop was accepted for `page`.